<?xml version="1.0" encoding="ISO-8859-1"?>
<!--
  - $Id$
  -
  - (C) Copyright ParaSoft Corporation 2010. All rights reserved.
  - THIS IS UNPUBLISHED PROPRIETARY SOURCE CODE OF ParaSoft
  - The copyright notice above does not evidence any
  - actual or intended publication of such source code.
  -->
  
<xsl:stylesheet version="2.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
	<xsl:output method="text" omit-xml-declaration="yes" indent="no" />
	<xsl:strip-space elements="*" />
	<xsl:template match="/">
		<xsl:variable name="functionalErrors"
			select="count(/ResultsSession/FunctionalTests/FuncViols) > 0" />
		<xsl:text>Author,</xsl:text>
		<xsl:if test="$functionalErrors">
			<xsl:text>Test,Tool,</xsl:text>
		</xsl:if>
		<xsl:text>File,Line,Severity,Message
</xsl:text>
		<xsl:for-each
			select="./ResultsSession/FunctionalTests/FuncViols/FuncViol">
			<xsl:value-of select="./@auth" />
			<xsl:text>,</xsl:text>
			<xsl:variable name="funcViolId" select="./@testCaseId" />
			<xsl:variable name="test"
				select="/ResultsSession/Tests//Test[@id = $funcViolId]" />
			<xsl:for-each select="$test">
				<xsl:value-of select="@name" />
			</xsl:for-each>
			<xsl:text>,</xsl:text>
			<!-- NYI tool name not available in XML yet -->
			<xsl:text>,</xsl:text>
			<!-- meaning of "file name" is different here... -->
			<!-- NYI otherwise.. share code here? -->
			<xsl:value-of select="./@locFile" />
			<xsl:text>,</xsl:text>
			<xsl:value-of select="./@ln" />
			<xsl:text>,</xsl:text>
			<xsl:variable name="severity" select="./@sev" />
			<xsl:choose>
				<xsl:when test="$severity=1">
					<xsl:text>Severe Violation</xsl:text>
				</xsl:when>
				<xsl:when test="$severity=2">
					<xsl:text>Possible Severe Violation</xsl:text>
				</xsl:when>
				<xsl:when test="$severity=3">
					<xsl:text>Violation</xsl:text>
				</xsl:when>
				<xsl:when test="$severity=4">
					<xsl:text>Possible Violation</xsl:text>
				</xsl:when>
				<xsl:when test="$severity=5">
					<xsl:text>Informational</xsl:text>
				</xsl:when>
			</xsl:choose>
			<xsl:text>,</xsl:text>
			<xsl:value-of select="./@msg" />
			<xsl:text>
</xsl:text>
		</xsl:for-each>
		<xsl:for-each
			select="./ResultsSession/CodingStandards/StdViols/*">
			<xsl:if test="not(@supp='true')">
			<!-- NYI Data sources? -->
			<xsl:value-of select="./@auth" />
			<xsl:text>,</xsl:text>
			<!-- There will be no test or tool for StdViols -->
			<xsl:if test="$functionalErrors">
				<xsl:text>,,</xsl:text>
			</xsl:if>
			<xsl:value-of select="./@locFile" />
			<xsl:text>,</xsl:text>
			<xsl:value-of select="./@ln" />
			<xsl:text>,</xsl:text>
			<xsl:variable name="severity" select="./@sev" />
			<xsl:choose>
				<xsl:when test="$severity=1">
					<xsl:text>Severe Violation</xsl:text>
				</xsl:when>
				<xsl:when test="$severity=2">
					<xsl:text>Possible Severe Violation</xsl:text>
				</xsl:when>
				<xsl:when test="$severity=3">
					<xsl:text>Violation</xsl:text>
				</xsl:when>
				<xsl:when test="$severity=4">
					<xsl:text>Possible Violation</xsl:text>
				</xsl:when>
				<xsl:when test="$severity=5">
					<xsl:text>Informational</xsl:text>
				</xsl:when>
			</xsl:choose>
			<xsl:text>,</xsl:text>
			<xsl:value-of select="./@msg" />
			<xsl:text>
		</xsl:text>
		</xsl:if>
		</xsl:for-each>
	</xsl:template>
</xsl:stylesheet>

<!--
  - $Author: tsaucedo $          $Locker:  $
  - $Date: 2007-08-09 13:05:00 $
  - $Log: not supported by cvs2svn $
  -
  -->