<?xml version="1.0"?>
<xsl:stylesheet version="1.1" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:saxon="http://icl.com/saxon" xmlns:graph="graph" xmlns:results="results" extension-element-prefixes="saxon">

    <!-- =================  print build errors menu ============================ -->
    
    <xsl:template name="display_statistics_menu">
    
	    
    
    <xsl:if test="($statistics) > 0 and ($generate_graphs = 'true')">
    <xsl:call-template name="display_linked_menu_item">
     <xsl:with-param name="text">STATISTICS</xsl:with-param>
     <xsl:with-param name="link" select="'#statistics_hd'" />
    </xsl:call-template>
    </xsl:if>
    
    </xsl:template>

    <!-- =================  print statistics ============================ -->
    
    <xsl:template name="display_statistics">
    
    <xsl:if test="($statistics) > 0 and ($generate_graphs = 'true')">
    <br/>
    <xsl:call-template name="statistics_header"/>
    
    <xsl:if test="($memory_stats_history) > 0">
    <br/>
        <xsl:call-template name="generate_graph">
            <xsl:with-param name="graph" select="/ResultsSession/Statistics/History/Graph[@id=$memory_session_statistics]"/>
            <xsl:with-param name="img_name" select="concat('mem_stats_',$org_time)"/>
        </xsl:call-template>
    </xsl:if>
    <xsl:if test="($time_stats_history) > 0">
    <br/>
        <xsl:call-template name="generate_graph">
            <xsl:with-param name="graph" select="/ResultsSession/Statistics/History/Graph[@id=$time_session_statistics]"/>
            <xsl:with-param name="img_name" select="concat('time_stats_',$org_time)"/>
        </xsl:call-template>
    </xsl:if>
    <br/>
    
    </xsl:if>

    </xsl:template>    
    
    <!-- =================  print statistics header ============================ -->
    
    <xsl:template name="statistics_header">
        <a name="statistics_hd"/>
        <table width="{$width}" cellpadding="0" cellspacing="0">
            <xsl:if test="($report_format_mode='pdf')">
                <xsl:attribute name="cols">15% 70% 15%</xsl:attribute>
            </xsl:if>
            <tr>               
                <td width="15%"></td>
                <td align="center">
                    <div class="header">
                        STATISTICS
                    </div>
                </td>
                <td width="15%" align="right" valign="bottom">
           	  	   <xsl:if test="not($report_type = $email_report) and ($first_back_to_top = 'false')">
                      <xsl:call-template name="back_to_top"/>
                   </xsl:if>
            	   <saxon:assign name="first_back_to_top">false</saxon:assign>
                </td>
            </tr>
        </table>
    </xsl:template>
         
</xsl:stylesheet>
